export { Store } from './Store';
import { IEdit, IFileExpand, IFilesMutate, IFileStat, INodeFileStat, IContent } from '@files-stack/client-core';
export declare const reducers: {
    '@files/edit': (state: IEdit, action: {
        type: "@@files-stack/OPEN_FILE";
        payload: any;
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/ACTIVATE_EDITOR";
        editorId: number;
    } | {
        type: "@@files-stack/UPDATE_EDITORS_HEIGHT";
        editorsHeight: any[];
    } | {
        type: "@@files-stack/OPEN_MARKDOWN";
        content: IContent;
        previewEditorId: number;
    }) => IEdit;
    '@files/expand': (state: IFileExpand[], action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => IFileExpand[];
    '@files/selectedFile': (state: INodeFileStat, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => INodeFileStat;
    '@files/rootpath': (state: string, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => string;
    '@files/refresh': (state: number, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => number;
    '@files/mutate': (state: IFilesMutate, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => IFilesMutate;
    '@files/dragOveredFile': (state: INodeFileStat, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => INodeFileStat;
    '@files/editorsExpand': (state: boolean, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
        path: number[];
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/COLLAPSE_ALL";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    }) => boolean;
};
